#ifndef IPERFTEST_H
#define IPERFTEST_H
/*
 *  Header file defining the Iperf test class
 */

#include "PerfSocket_Net.hpp"
#include "Thread.hpp"
#include <string>

class Results;
class IperfTestInfo;

class IperfTest : public Thread, public PerfSocket
{
 public:
    IperfTest( IperfTestInfo *testinfo );
    IperfTest( IperfTestInfo *testinfo, Results* r_ptr );
    virtual ~IperfTest();

    void getLocalname(std::string* host);
    virtual void Run( void );

    //XXX
    //IperfResults *  results(void);
    void begin( void );
    void endTest( void );
    //XXX

 private:

    bool mServer;
    int mTsock;
    Results* rContainer;
    std::string mRemoteHost;
    std::string mLocalHost;
};

#endif // IPERFTEST_H
